[ANN] Apache Maven Dependency Plugin Version 3.1.0 Released

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[ANN] Apache Maven Dependency Plugin Version 3.1.0 Released

khmarbaise
The Apache Maven team is pleased to announce the release of the
Apache Maven Dependency Plugin Version 3.1.0
 
https://maven.apache.org/plugins/maven-dependency-plugin/

Important Note since 3.1.0:

 * Maven 3.X only
 * JDK 7 minimum requirement

You should specify the version in your project's plugin configuration:
 
<plugin>
  <groupId>org.apache.maven.plugins</groupId>
  <artifactId>maven-dependency-plugin</artifactId>
  <version>3.1.0</version>
</plugin>

You can download the appropriate sources etc. from the download page:
 
https://maven.apache.org/plugins/maven-dependency-plugin/download.cgi
 
Release Notes Maven Dependency Plugin 3.1.0

https://issues.apache.org/jira/secure/ReleaseNote.jspa?projectId=12317227&version=12341595

Bugs:

 * [MDEP-559] - Java 9 bytecode cannot be parsed
 * [MDEP-603] - dependency:analyze fails on JDK 9 / JDK 10

Improvement:

 * [MDEP-605] - Add documentation information for GitHub

Dependency upgrades:

 * [MDEP-584] - Upgrade plexus-utils to version 3.1.0
 * [MDEP-585] - Upgrade plexus-archiver to 3.5.
 * [MDEP-599] - Upgrade parent to 31

Many thanks to all reporters/contributors/testers of this release.

Reporters:

 * MDEP-559: Ben Alex

Testers:

 * Mark Raynsford

Enjos,
 
- The Apache Maven team

---------------------------------------------------------------------
To unsubscribe, e-mail: [hidden email]
For additional commands, e-mail: [hidden email]